package main

import (
	"github.com/furryboard/spider-scheduler/pkg/conf"
	"github.com/furryboard/spider-scheduler/pkg/log"
	"github.com/furryboard/spider-scheduler/pkg/task"
	"github.com/robfig/cron/v3"
	"os"
	"os/signal"
)

func main() {
	sigChan := make(chan os.Signal, 1)
	signal.Notify(sigChan, os.Interrupt, os.Kill)

	log.InitLogger(false)
	conf.InitConfig("config.toml")
	c := cron.New()
	c.AddFunc("@every 10m", task.SearchUpsFromVideo)
	c.AddFunc("@every 10m", task.SearchUpsFromLiveRoom)
	//c.AddFunc("@daily", task.UpdateUserInfo)
	c.AddFunc("@daily", task.UpdateFans)
	c.Start()
	log.Logger().Infof("定时任务已启动")

	sig := <-sigChan
	log.Logger().Infof("Signal: %s", sig)
}
